Subject: Re: Can I checkout a single file without altering index?

From: Tomas Carnecky <[email-masked]>
Date: Tue, 12 Oct 2010 18:39:50 +0200

On 10/12/10 5:39 PM, Alex Riesen wrote:
> On Tue, Oct 12, 2010 at 12:03, Christian Halstrick
> <[email-masked]> wrote:
>> Can I checkout a certain file to a specific revision without also adding this
>> content to the index? I only want to alter the working-tree - no modification of
>> index or HEAD needed.
> 
> "git show <revision-specification>:path/name > path/name" ?

I heard that git-show doesn't apply filters to the file (smudge/clean or
any custom ones). Keep that in mind when using it.

tom